Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.serverstub
Interface FeeSubDomainHandler

All Known Implementing Classes:
  FeeV06DomainHandler, FeeV07DomainHandler

    public interface FeeSubDomainHandler

Sub Domain Handler for use with the fee extension. This interface is used to support handling multiple versions of the fee extension, where each different version of the fee extension must implement this interface.

Method Summary
`void` | `doDomainCheck(EPPDomainCheckCmd aCheckCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Check Command.
`void` | `doDomainCreate(EPPDomainCreateCmd aCreateCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Create Command.
`void` | `doDomainDelete(EPPDomainDeleteCmd aDeleteCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Delete Command.
`void` | `doDomainInfo(EPPDomainInfoCmd aInfoCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Info Command.
`void` | `doDomainRenew(EPPDomainRenewCmd aRenewCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Renew Command.
`void` | `doDomainTransfer(EPPDomainTransferCmd aTransferCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Transfer Command.
`void` | `doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand, EPPResponse aResponse, java.lang.Object aData)` Handle an EPP Domain Update Command.

Method Detail

### doDomainCheck

    void doDomainCheck(EPPDomainCheckCmd aCheckCommand,
                       EPPResponse aResponse,
                       java.lang.Object aData)

  Handle an EPP Domain Check Command.

  Parameters:
    `aCheckCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainInfo

    void doDomainInfo(EPPDomainInfoCmd aInfoCommand,
                      EPPResponse aResponse,
                      java.lang.Object aData)

  Handle an EPP Domain Info Command.

  Parameters:
    `aInfoCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainCreate

    void doDomainCreate(EPPDomainCreateCmd aCreateCommand,
                        EPPResponse aResponse,
                        java.lang.Object aData)

  Handle an EPP Domain Create Command.

  Parameters:
    `aCreateCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainDelete

    void doDomainDelete(EPPDomainDeleteCmd aDeleteCommand,
                        EPPResponse aResponse,
                        java.lang.Object aData)

  Handle an EPP Domain Delete Command.

  Parameters:
    `aDeleteCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainRenew

    void doDomainRenew(EPPDomainRenewCmd aRenewCommand,
                       EPPResponse aResponse,
                       java.lang.Object aData)

  Handle an EPP Domain Renew Command.

  Parameters:
    `aRenewCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainUpdate

    void doDomainUpdate(EPPDomainUpdateCmd aUpdateCommand,
                        EPPResponse aResponse,
                        java.lang.Object aData)

  Handle an EPP Domain Update Command.

  Parameters:
    `aUpdateCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

### doDomainTransfer

    void doDomainTransfer(EPPDomainTransferCmd aTransferCommand,
                          EPPResponse aResponse,
                          java.lang.Object aData)

  Handle an EPP Domain Transfer Command.

  Parameters:
    `aTransferCommand` - Command sent by the client
    `aResponse` - Response created previously up the stack
    `aData` - Server data. This is assumed to be an instance of `SessionData`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.